{% extends "users/userspace.html" %}

{% block content %}
    <div class="container mt-5">
        <h1>Valider des livraisons</h1>

        <a href="{% url 'ferme_hub' ferme_id=ferme.id %}" class="mt-5">
            << Retour à la page de {{ ferme.nom }}
        </a>

        <div class="alert alert-info my-2 mt-4">
            Ici, vous pouvez valider des inscriptions aux livraisons pour les contrats avec l'AMAP, afin que les
            utilisateurs puissent s'inscrire.
        </div>


        {% if inscriptions|length > 0 %}
            <div class="form-check">
                <input type="checkbox" class="form-checkbox" id="check_all_checkbox">
                <label for="check_all_checkbox">
                    Tout cocher
                </label>
            </div>
            <form action="" method="post">
                {% csrf_token %}

                <ul class="list-unstyled">
                    {% for inscription in inscriptions %}
                        <li class="card px-4 py-3 mb-2">
                            <div class="form-check">
                                <input type="checkbox" class="form-checkbox" name="inscription_{{ inscription.id }}"
                                       id="checkbox_inscription_{{ inscription.id }}">
                                <label for="checkbox_inscription_{{ inscription.id }}">
                                    Le {{ inscription.distribution.date_heure|date:"l d/m/Y" }}
                                    à {{ inscription.distribution.date_heure|time:"H:i" }}
                                </label>
                            </div>
                            <div>
                                Inscription pour {{ inscription.unites_dispo }} panier(s)
                                de {{ inscription.produit.nom }}
                                <br>
                                Quantité unitaire : {{ inscription.quantite_unitaire }} <br>
                                Prix unitaire : {{ inscription.tarif_vente }}€<br>
                                Inscriptions ouvertes jusqu'au
                                : {{ inscription.date_cloture_inscriptions|date:"l d/m/Y" }} (exclu)
                                <br>
                            </div>
                        </li>
                    {% endfor %}
                </ul>

                <p>
                    En signant, vous vous engagez à fournir les quantités annoncées aux distributions choisies, en
                    respectant la
                    <a href="https://amap-aura.org/la-charte-des-amap/" target="_blank" class="fw-bold">Charte des
                        AMAP</a>.
                </p>
                <button type="submit" class="btn btn-success">
                    Signer
                </button>
            </form>
        {% else %}
            <p>Il n'y a pas d'inscriptions à valider pour le moment.</p>
        {% endif %}
    </div>
{% endblock %}

{% block scripts %}
    <script>
        let check_all_checkbox = $("#check_all_checkbox");
        check_all_checkbox.change(() => {
            for (let checkbox of $("input:checkbox").not(check_all_checkbox)) {
                console.log(checkbox);
                $(checkbox).prop('checked', check_all_checkbox.prop("checked"));
            }
        })
    </script>
{% endblock %}
